#ifndef Photophoria_ExifInfo_h
#define Photophoria_ExifInfo_h

namespace browser
{
	struct FileEntry;
}

typedef std::pair<std::string, std::string> StringPair;
struct ExifProperty
{
	ExifProperty (const std::string & n, const std::string & v)
		: name(n), value(v) {}

	std::string name;
	std::string value;
};

class ExifTopic
{
public:
	ExifTopic (const char * n)
		: name(n)
	{
	}
	std::string name;
	std::vector <ExifProperty> properties;
};



bool GetExifTopics(browser::FileEntry * f);

#endif
