#include "stdafx.h"
#include "Photophoria.h"
#include "MainFrame.h"

#include <wx/image.h>
 
#include <iostream>

namespace common
{
	void Debug(const std::string & s)
	{ 
		// the following code works for VC++ or cygwin
#ifdef WIN32
		static BOOL ok = AllocConsole();
		static HANDLE hnd = GetStdHandle(STD_OUTPUT_HANDLE);
		DWORD x;
		WriteConsole(hnd, s.c_str(), s.size(), &x, 0);
		WriteConsole(hnd, "\n", 1, &x, 0);
#else
		std::cerr << "PDB: " << s << std::endl;
#endif		
	}
	void Yield()
	{
		wxGetApp().Yield(true);
	}
}


bool PhotophoriaApp::OnInit()
{
    wxImage::AddHandler( new wxJPEGHandler );
    wxImage::AddHandler( new wxGIFHandler ); 
	wxImage::AddHandler( new wxPNGHandler);

    MyFrame *frame = new MyFrame();
    frame->Show( TRUE );

   return TRUE;
}


IMPLEMENT_APP(PhotophoriaApp)
