class StatusBar : public wxStatusBar
{
public:
    MyStatusBar(wxWindow *parent);
    virtual ~MyStatusBar();


private:
    // event handlers
    void OnSize(wxSizeEvent& event);

    wGauge * m_gauge;

    DECLARE_EVENT_TABLE()
};


MyStatusBar::MyStatusBar(wxWindow *parent)
           : wxStatusBar(parent, wxID_ANY)
{
    static const int widths[Field_Max] = { -1, 150, 147, 100 };

    SetFieldsCount(Field_Max);
    SetStatusWidths(Field_Max, widths);


	m_gauge = new wxGauge (this, -1, 100,  wxGA_SMOOTH | wxGA_PROGRESSBAR);

    SetMinHeight(16);

}


StatusBar::~MyStatusBar()
{

}

void StatusBar::OnSize(wxSizeEvent& event)
{

    wxRect rect;
    GetFieldRect(2, rect);
    wxSize size = m_gauge->GetSize();

    m_gauge->Move(rect.x + (rect.width - size.x) / 2,
                    rect.y + (rect.height - size.y) / 2);

    event.Skip();
}
