#ifndef Photophoria_ThemeDrawing_h
#define Photophoria_ThemeDrawing_h

#include <wx/window.h>

class wxBitmapButton;

namespace theme
{
	extern wxColour bgColor;
	extern wxColour canvasColor;
    const int panelLeftEdge = 1;
	const int panelWidth = 205;

	wxBitmapButton *  GetBitmapButton(const unsigned char * buffer, size_t bufferSize, wxWindow * parent, unsigned id, wxPoint pos );

	wxBitmap GetBitmap(const unsigned char * buffer, size_t bufferSize);
	void SetBackgroundColor(wxWindow * p);
#define GET_BITMAP(X) theme::GetBitmap(bmp_##X, sizeof bmp_##X)

}

#endif
